package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFL34Response {

    @Parameter(name = "Atribut")
    String atribut();

    @Parameter(name = "CIF")
    String cif();

    @Parameter(name = "CelkovaHodnotaInvestice")
    Double celkovaHodnotaInvestice();

    @Parameter(name = "DatumDo")
    java.util.Date datumDo();

    @Parameter(name = "DatumOd")
    java.util.Date datumOd();

    @Parameter(name = "DatumVypoved")
    java.util.Date datumVypoved();

    @Parameter(name = "DistribuceKV")
    String distribuceKV();

    @Parameter(name = "Hodnota")
    Double hodnota();

    @Parameter(name = "ISIN")
    String isin();

    @Parameter(name = "KlientskeVypisyObchodniFrekvence")
    String klientskeVypisyObchodniFrekvence();

    @Parameter(name = "KlientskeVypisyStavoveFrekvence")
    String klientskeVypisyStavoveFrekvence();

    @Parameter(name = "KorespondencniJmeno")
    String korespondencniJmeno();

    @Parameter(name = "KorespondencniPSC")
    String korespondencniPSC();

    @Parameter(name = "KorespondencniPrijmeni")
    String korespondencniPrijmeni();

    @Parameter(name = "KorespondencniSidlo")
    String korespondencniSidlo();

    @Parameter(name = "KorespondencniTitulPred")
    String korespondencniTitulPred();

    @Parameter(name = "KorespondencniTitulZa")
    String korespondencniTitulZa();

    @Parameter(name = "KorespondencniUlice")
    String korespondencniUlice();

    @Parameter(name = "KorespondencniZeme")
    String korespondencniZeme();

    @Parameter(name = "Pobocka")
    String pobocka();

    @Parameter(name = "PobockaRestante")
    String pobockaRestante();

    @Parameter(name = "PocetISINu")
    Long pocetISINu();

    @Parameter(name = "PocetNedorucenychVypisu")
    Long pocetNedorucenychVypisu();

    @Parameter(name = "ProfilKlienta")
    String profilKlienta();

    @Parameter(name = "StavSmlouvy")
    String stavSmlouvy();

    @Parameter(name = "TerminCisloUctu")
    String terminCisloUctu();

    @Parameter(name = "TerminKodBanky")
    String terminKodBanky();

    @Parameter(name = "TerminMena")
    String terminMena();

    @Parameter(name = "TypSmlouvy")
    String typSmlouvy();

    @Parameter(name = "UserID")
    String userID();

    @Parameter(name = "VyporadaniCisloUctu")
    String vyporadaniCisloUctu();

    @Parameter(name = "VyporadaniKodBanky")
    String vyporadaniKodBanky();

    @Parameter(name = "VyporadaniMena")
    String vyporadaniMena();

}